/**
 * 描述：shr编辑界面JS最高超类
 */
shr.defineClass("shr.custom.ExamineGradePersonEdit", shr.framework.Edit, {

    /**
     * 描述:初始化操作
     * 
     * @action
     */
    initalizeDOM: function () {
        var _self = this;
        shr.custom.ExamineGradePersonEdit.superClass.initalizeDOM.call(this);
        _self.periodTypeChange();
    },
    //周期类型事件触发
    periodTypeChange: function () {
        var _self = this;
        $("#periodType").change(function () {
            var periodType = $("#periodType").val();
            if (periodType == "年度") {
                $("#quarter").shrTextField('disable');//或者设为enable
            }else{
                $("#quarter").shrTextField('enable');//或者设为disable
            }
            console.log(periodType);
        })
    }

    // /**
    //  * 保存
    //  */
    // saveAction: function (event) {
    //     var year = $("#year").val();
    //     var periodType = $("#periodType").val();
    //     var quarter = $("#quarter").val();
    //     var sum = meritA * 1 + meritBplus * 1 + meritB * 1 + meritBminus * 1 + meritC * 1 + meritD * 1
    //     if (sum == 0 || sum == 100) {
    //         shr.custom.PersonRelationOrgEdit.superClass.saveAction.call(this);
    //     } else if (sum > 100) {
    //         shr.showWarning({
    //             'message': "比例的和不大于100"
    //         });
    //     } else {
    //         shr.showWarning({
    //             'message': "比例的和不小于100"
    //         });
    //     }
    // }
});